[pyfftw] 07/11: Add packaging testsuite.
Ghislain Vaillant
ghisvail-guest at moszumanska.debian.org
Tue Jun 7 05:13:03 UTC 2016
This is an automated email from the git hooks/post-receive script.
ghisvail-guest pushed a commit to branch master
in repository pyfftw.
commit b7c43588216800d62fcbf7a45f87de583601f641
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date: Sun Jun 5 23:25:23 2016 +0100
Add packaging testsuite.
---
debian/control | 1 +
debian/tests/control | 9 +++++++++
debian/tests/python2 | 12 ++++++++++++
debian/tests/python3 | 12 ++++++++++++
4 files changed, 34 insertions(+)
diff --git a/debian/control b/debian/control
index ec61489..65bbafd 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: pyfftw
Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail at gmail.com>
Section: python
+Testsuite: autopkgtest
Priority: optional
Build-Depends:
debhelper (>= 9),
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..8fc98cf
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,9 @@
+Tests: python2
+Depends: python-all,
+ python-pyfftw,
+ python-scipy
+
+Tests: python3
+Depends: python3-all,
+ python3-pyfftw,
+ python3-scipy
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..9a2d836
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py -m unittest discover 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..4c805d9
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py -m unittest discover 2>&1
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pyfftw.git
More information about the debian-science-commits
mailing list